<CsoundSynthesizer>
<CsOptions>
</CsOptions>


<CsScore> 

f1 0 131073 6 0 16384 0.5 16384 1 16384 0.5 16384 0 16384 -0.5 16384 -1 16384 -0.5 16384 0

; cubic splines with maxima at (points of inflection in square brackets)
; 0 [0.5] 1 [0.5] 0 [-0.5] -1 [0.5] 0
; Has same area above and below so suitable for use as a waveform table.


</CsScore>

<CsInstrumentToPlay>

AMP CPS 0.05 50.0 ; rise in seconds, decay as percentage of note length

</CsInstrumentToPlay>


<CsPitchBendGlides>
* ; Add an * here to show that it responds to pitch bend glides when auto converted into a midi instrument for CSoundAV (can be done
in FTS)
</CsPitchBendGlides>

<CsInstruments> 
;
; Enter the actual instrument here.
; It gets renumbered, so you can use anything for the instrument number - it gets ignored.
;
; in auto mode all function table arguments here get automatically incremented 
; to correspond to the instrument's unique function tables in the score
;
;You can have several instruments here if extra ones are needed
; for initialisation in the [SCO] section. The extra instruments
; can have their numbers prefixed with # which ensures
; that the number gets ; incremented to make a unique instrument e.g. 2001 etc
; The same number e.g. #1 needs to be used in the [SCO] section


instr 1

; This plays function table 1 with rise and decay first 9 harmonics

; args: AMP CPS 10.0 50.0 ; rise proportion (as percentage of total duration), decay proportion,

iduration  = p3
iamplitude  = p4

kp5=p5
kfrequency  = kp5

irise = p6
idecaypercent = p7

idecay = iduration*idecaypercent/100

kenv linen iamplitude, irise, iduration, idecay
ifn = 1
a1  oscil kenv*0.6, kfrequency, ifn ; first harmonic
a2  oscil kenv, kfrequency*2,ifn ; 2nd harmonic etc.
a3  oscil kenv*0.6, kfrequency*3, ifn ; 
a4  oscil kenv*0.3, kfrequency*4, ifn ; 
a5  oscil kenv*0.1, kfrequency*5, ifn ; 
a6  oscil kenv*0.08, kfrequency*6, ifn ; 
a7  oscil kenv*0.03, kfrequency*7, ifn ; 
a8  oscil kenv*0.01, kfrequency*8, ifn ; 
a9  oscil kenv*0.005, kfrequency*9, ifn ; 
   audio = (a1 + a2 + a3 + a4 + a5 + a6 + a7 + a8 + a9)/2
   out audio
endin

</CsInstruments>

</CsoundSynthesizer>